* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
:root {
  --main: #0d6efd;
  --secondary: #0a58ca;
  --dark: #55555;
  --light: #FFFAFA;
  --grey: #ececec;
  --dark-grey: #B9BBBE;
}
html {
  font-size: 62.5%;
  font-family: 'Spartan', sans-serif;
  scroll-behavior: smooth;
}
a {
  text-decoration: none;
}
.section {
  padding: 100px 2%;
}
.title {
  margin: 0 0 40px 0;
  font-size: 3.2rem;
  font-weight: 800;
  font-style: italic;
  text-align: center;
}
.subtitle {
  max-width: 800px;
  margin: 0 auto 25px;
  font-size: 1.8rem;
  font-weight: 500;
  line-height: 3.2rem;
}
.button {
  width: max-content;
  font-size: 1.8rem;
  font-weight: 600;
  padding: 15px;
  color: white;
  border: var(--main);
  border-radius: 10px;
  background: var(--main);
  transition: background 0.15s ease-in-out;
}
.button:hover {
  background: var(--secondary);
}
.header {
  display: flex;
  max-width: 1600px;
  height: 80px;
  margin: 0 auto;
  padding: 0 3%;
}
.header__elements {
  display: flex;
  align-items: center;
  width: 50%;
}
.header__logo {
  width: 75px;
}
.header__nav-container {
  display: flex;
  justify-content: flex-end;
}
.header__nav {
  display: flex;
  align-items: center;
  list-style: none;
}
.header__nav--element {
  padding: 0 20px;
  font-size: 1.6rem;
  font-weight: 600;
}
.header__nav--element a {
  color: black;
}
.header__nav--element a:hover {
  color: var(--main);
}
.header__nav-float {
  display: none;
}
#menu-button {
  display: none;
}
.main__top-section {
  height: auto;
  text-align: center;
  padding: 150px 2%;
  box-shadow: 1px 800px 5px 0px rgb(0 0 0 / 30%) inset;
  background: url(./assets/imgs/new-background.webp) center;
  background-size: cover;
}
.main__top-section--title {
  font-size: 4rem;
  color: var(--light);
}
.main__top-section--subtitle {
  font-size: 2rem;
  font-weight: 600;
  color: var(--light);
}
.button-container {
  display: inline-block;
  margin: 50px 0 0 0;
}
.main__brand-section {
  text-align: center;
}
.main__brand-section--logo-container {
  padding: 18px 2%;
}
.main__brand-section--logo {
  height: 90px;
  padding: 0 3%;
}
.main__about-section {
  text-align: center;
  padding-left: 3%;
  padding-right: 3%;
  background: var(--grey);
}
.main__about-section--subtitle {
  max-width: 1000px;
  width: 50%;
  min-width: 320px;
  margin: 0 auto 50px;
}
.main__about-section--logo {
  height: 200px;
}
.main__service-section {
  text-align: center;
  padding-left: 0;
  padding-right: 0;
}
.main__service-section--element-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 75%;
  margin: 60px auto 0;
}
.main__service-section--element {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 30%;
  min-width: 320px;
  margin: 0 10px 50px;
  padding: 0 20px;
}
.service-section__text {
  max-width: 280px;
  margin: 20px 0 0 0;
}
.main__service-section--icon-wrapper {
  display: flex;
  align-items: center;
  width: max-content;
  padding: 10px;
  border-radius: 90px;
  background: var(--grey);
}
.service-section__icon-container {
  width: max-content;
  padding: 15px;
  background: var(--main);
  border-radius: 40px;
}
.service-section__icon-container svg {
  width: 40px;
  height: 35px;
  fill: var(--light);
}
.main__store-section {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  min-width: 320px;
  background: var(--grey);
}
.main__store-section div {
  width: 50%;
  min-width: 320px;
}
.main__store-section--image {
  width: 100%;
}
.main__store-section--text-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 50px 2% 0 0;
}
.store-section__text-container--subtitle {
  width: 100%;
  margin: 0 0 25px 0;
}
.store-section__text-container--list {
  width: 100%;
  list-style: none;
  font-size: 1.8rem;
  font-weight: 500;
  line-height: 4rem;
}
.store-section__text-container--list--item svg {
  width: 20px;
  height: 20px;
  margin: 0 20px 0 0;
  fill: var(--main);
}
.main__review-section--item-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding: 50px 2% 0;
}
.main__review-section--item {
  max-width: 520px;
  width: 50%;
  min-width: 320px;
  height: fit-content;
  margin: 0 2% 60px;
  padding: 20px 40px;
  border-radius: 20px;
  box-shadow: 0px 14px 50px -2px rgba(0,0,0,0.1);
}
.review-section__item--image {
  width: 80px;
  border-radius: 20px;
}
.review-section__item--text {
  margin: 20px 0 0;
  font-size: 1.6rem;
  font-weight: 600;
  font-style: italic;
}
.review-section__item--name {
  margin: 20px 0 0;
  font-size: 1.6rem;
}
.main__contact-section {
  background: var(--grey);
}
.main__contact-section--subtitle {
  text-align: center;
}
.main__contact-section--wrapper {
  padding: 20px 0 0;
}
.main__contact-section--section {
  width: 50%;
}
.main__contact-section--section-bottom {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  height: fit-content;
}
.main__contact-section--info {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 1200px;
  margin:  0 auto;
  padding: 20px 0;
}
.contact-section__info--item {
  width: 30%;
  min-width: 320px;
  display: flex;
  justify-content: center;
}
.contact-section__info--item svg {
  width: 30px;
  height: 20px;
  fill: var(--main);
  margin: 0 10px 0 0;
}
.info__item--text {
  font-size: 1.6rem;
  margin: 0 0 25px;
  text-align: center;
}
.main__contact-section--form {
  width: 100%;
  min-width: 320px;
  max-width: 800px;
  margin: 0 auto;
  padding: 20px 2%;
}
.contact-section__form--subtitle {
  display: block;
  margin: 20px 0 10px;
  font-weight: 600;
}
.contact-section__form--input {
  width: 100%;
  height: 50px;
  padding: 10px;
  font-size: 1.4rem;
  font-weight: 500;
  border: 1px solid var(--dark-grey);
  border-radius: 5px;
  background: transparent;
}
#message {
  width: 100%;
  padding: 10px;
  font-size: 1.4rem;
  font-weight: 500;
  border: 1px solid var(--dark-grey);
  border-radius: 5px;
  background: transparent;
}
.contact-section__form--submit {
  font-size: 2rem;
}
#response {
  margin: 20px 0 0 0;
  max-width: 800px;
  font-size: 1.8rem;
  font-weight: 500;
  line-height: 3.2rem;
}
.green {
  color: #198754;
}
.red {
  color: #dc3545;
}
.main__contact-section--map {
  min-width: 320px;
  width: 50%;
  height: 550px;
  margin: 50px 0 0;
}
.footer {
  display: flex;
  justify-content: space-between;
  border-top: solid 1px gainsboro;
  background: var(--grey);
  padding: 4% 8%;
}
.footer ul {
  list-style: none;
  font-size: 1.2rem;
  line-height: 1.8rem;
}
.footer__left-section--element a {
  font-weight: 400;
  color: var(--dark);
}
.footer__middle-section {
  display: flex;
  margin-left: -20px;
  justify-content: space-between;
  align-items: center;
}
.footer__middle-section--element {
  margin: 0 30px;
  transition: fill 0.15s ease-in-out;
}
.footer__middle-section--element .bi:hover, .footer__right-section--element .bi:hover {
  fill: var(--secondary);
}
.footer__right-section {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  text-align: right;
}
.footer__right-section--element a {
  display: flex;
  justify-content: right;
  align-items: center;
}
.footer__right-section--element span {
  margin-left: 10px;
  font-size: 1.3rem;
  font-weight: 500;
  color: gray;
}
.footer__right-section--element {
  font-size: 1.2rem;
  font-weight: 500;
  color: gray;
}

@media only screen and (max-width: 768px) {
  .title {
    font-size: 3rem;
  }
  .subtitle {
    font-size: 1.6rem;
  }
  .main__top-section--title {
    font-size: 3rem;
  }
  .main__top-section--subtitle {
    font-size: 1.8rem;
  }
  .header {
    padding: 8%;
  }
  .header__nav-container {
    display: none;
  }
  .header__nav-float {
    position: absolute;
    right: 20px;
    top: 70px;
    z-index: 1;
  }
  #menu-button {
    display: flex;
    justify-content: flex-end;
  }
  #menu-button:hover + .header__nav-float, .header__nav-float:hover {
    display: block;
  }
  .header__nav-float--menu {
    text-align: right;
    list-style: none;
    padding: 10px 20px;
    border: solid 1px black;
    border-radius: 5px;
    background: #ffff;
  }
  .header__nav-float--menu-element {
    margin: 10px 0;
  }
  .header__nav-float--menu-element a {
    font-size: 1.6rem;
    font-weight: 500;
    color: black;
  }
  .header__nav-float--menu-element a:hover {
    color: var(--main);
  }
  .main__top-section {
    padding: 100px 2%;
    background-position: top;
  }
  .main__contact-section--map {
    width: 100%;
  }
  .main__review-section--item {
    width: 100%;
  }
  .review-section__item--image {
    width: 60px;
  }
  .review-section__item--text {
    font-size: 1.4rem;
  }
  .contact-section__info--item {
    width: 92.97%;
  }
  .contact-section__form--submit-container {
    margin: 50px auto 0;
  }
  .contact-section__form--submit-wrapper {
    display: flex;
    justify-content: center;
  }
  #response {
    text-align: center;
  }
  .footer {
    flex-direction: column;
    align-items: center;
  }
  .footer ul {
    margin-bottom: 30px;
    margin-left: 0;
    text-align: center;
  }
  .footer__right-section--element a {
    justify-content: center;
  }
}
@media only screen and (max-width: 1024px) {
  .main__about-section--subtitle {
    width: 75%;
  }
  .main__service-section--element-wrapper {
    max-width: none;
  }
  .main__contact-section--map {
    width: 100%;
  }
  .main__review-section--item {
    width: 100%;
  }
}